> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-onclientmiddleware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Regions

> Lists all available regions where applications can be deployed, including their anycast support and capacity status.



## OpenAPI

````yaml https://api-mc.opsbunny.net/docs/public/swagger.json get /regions
openapi: 3.0.4
info:
  title: Public API
  description: 'Public API endpoints for user consumption. Release version: v1.9.35.3'
  version: '1.0'
servers:
  - url: https://api.bunny.net/mc
security:
  - AccessKey: []
paths:
  /regions:
    get:
      tags:
        - Regions
      summary: List Regions
      description: >-
        Lists all available regions where applications can be deployed,
        including their anycast support and capacity status.
      operationId: ListRegions
      parameters:
        - name: nextCursor
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: int32
            default: 20
      responses:
        '200':
          description: Regions were successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListRegionsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetails'
        '401':
          description: User is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetails'
components:
  schemas:
    ListRegionsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Region'
        meta:
          $ref: '#/components/schemas/ListMeta'
        cursor:
          type: string
          nullable: true
      additionalProperties: false
    ErrorDetails:
      type: object
      properties:
        title:
          type: string
          description: A short, human-readable summary of the problem type.
          readOnly: true
        status:
          type: integer
          description: The HTTP status code.
          format: int32
          readOnly: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
          readOnly: true
        instance:
          type: string
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          nullable: true
          readOnly: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          description: Additional validation errors for field-specific issues.
          nullable: true
          readOnly: true
        id:
          type: string
          description: >-
            The application ID, returned as an RFC 7807 extension field when
            relevant (e.g. partial save errors).

            Matches the "id" field from successful create response for
            consistency.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: RFC 7807 Problem Details response model.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Region:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        group:
          type: string
        hasAnycastSupport:
          type: boolean
        hasCapacity:
          type: boolean
      additionalProperties: false
      description: Region model
    ListMeta:
      type: object
      properties:
        totalItems:
          type: integer
          format: int64
      additionalProperties: false
    ValidationError:
      required:
        - message
      type: object
      properties:
        field:
          type: string
          nullable: true
        message:
          type: string
      additionalProperties: false
  securitySchemes:
    AccessKey:
      type: apiKey
      description: Please enter a valid personal API key.
      name: AccessKey
      in: header

````